commit e0f19ab2c920f9b11b206cc34424f04cf71abd54
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:23:36 2014 +0000

    Release Clutter 1.18.0

 NEWS         | 39 +++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 41 insertions(+), 2 deletions(-)

commit fa891a7a3c83d1ab06e241bc99fae684f3e3469a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:11:29 2014 +0000

    docs: Remove --sgml-mode from the build options
    
    We're not providing SGML any more.

 doc/reference/cally/Makefile.am   | 2 +-
 doc/reference/clutter/Makefile.am | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f0ac5e176f7bc2a3ac9da37fdb213108a9c94442
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:10:41 2014 +0000

    Require GTK-Doc 1.20
    
    We want the fancy new MarkDown parser.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8453807ce95cddfd051b4844d2d51d1b8b68fb9d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:10:25 2014 +0000

    docs: Add missing symbols to the API reference

 doc/reference/clutter/clutter-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 4f5dd5ad4332e490b0ed57e9febd5fc53c69da7f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 18 14:14:22 2014 +0000

    docs: Remove last stray DocBook tags

 clutter/clutter-action.h                     |  7 +++----
 clutter/clutter-actor-meta.h                 |  4 ++--
 clutter/clutter-actor.h                      |  2 +-
 clutter/clutter-align-constraint.h           |  2 +-
 clutter/clutter-backend.h                    |  2 +-
 clutter/clutter-bind-constraint.h            |  2 +-
 clutter/clutter-blur-effect.h                |  2 +-
 clutter/clutter-brightness-contrast-effect.h |  2 +-
 clutter/clutter-canvas.h                     |  4 ++--
 clutter/clutter-click-action.h               |  4 ++--
 clutter/clutter-colorize-effect.h            |  2 +-
 clutter/clutter-constraint.h                 |  7 +++++--
 clutter/clutter-content.h                    |  4 ++--
 clutter/clutter-deform-effect.h              |  4 ++--
 clutter/clutter-desaturate-effect.h          |  2 +-
 clutter/clutter-drag-action.h                |  4 ++--
 clutter/clutter-drop-action.h                |  4 ++--
 clutter/clutter-gesture-action.h             |  4 ++--
 clutter/clutter-image.h                      |  4 ++--
 clutter/clutter-page-turn-effect.h           |  2 +-
 clutter/clutter-paint-node-private.h         |  2 +-
 clutter/clutter-paint-nodes.h                | 10 +++++-----
 clutter/clutter-pan-action.h                 |  4 ++--
 clutter/clutter-path-constraint.h            |  2 +-
 clutter/clutter-property-transition.h        |  4 ++--
 clutter/clutter-rotate-action.h              |  4 ++--
 clutter/clutter-scroll-actor.h               |  4 ++--
 clutter/clutter-shader-effect.h              |  4 ++--
 clutter/clutter-snap-constraint.h            |  2 +-
 clutter/clutter-stage-window.h               |  2 +-
 clutter/clutter-swipe-action.h               |  4 ++--
 clutter/clutter-tap-action.h                 |  4 ++--
 clutter/clutter-text-buffer.h                |  4 ++--
 clutter/clutter-transition-group.h           |  4 ++--
 clutter/clutter-transition.h                 |  4 ++--
 clutter/clutter-types.h                      |  8 ++++----
 clutter/clutter-zoom-action.h                |  4 ++--
 clutter/deprecated/clutter-state.h           |  6 +++---
 clutter/deprecated/clutter-timeout-pool.h    |  2 +-
 clutter/egl/clutter-egl.h                    |  6 +++---
 40 files changed, 77 insertions(+), 75 deletions(-)

commit ddc1955f6b5bfe4d7785d38e391380a992395011
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:10:07 2014 +0000

    docs: Port backend-specific sections to markdown

 clutter/cex100/clutter-backend-cex100.c   |  4 ++--
 clutter/cex100/clutter-cex100.h.in        |  3 +--
 clutter/egl/clutter-egl.h                 |  4 +---
 clutter/wayland/clutter-backend-wayland.c |  3 +--
 clutter/x11/clutter-backend-x11.c         | 15 +++++++--------
 5 files changed, 12 insertions(+), 17 deletions(-)

commit 46051bfb20eaa9718725e5fbf0f7722672753bb6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:09:27 2014 +0000

    docs: Port deprecated sections to markdown syntax
    
    And drop docbook tags along the way.

 clutter/deprecated/clutter-actor-deprecated.c  |   4 ++--
 clutter/deprecated/clutter-alpha.c             |  55 ++++++++++++++++++++++++-------------------------------
 clutter/deprecated/clutter-animation.c         | 130 +++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------
 clutter/deprecated/clutter-animator.c          |  95 +++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------
 clutter/deprecated/clutter-behaviour-ellipse.c |   4 ++--
 clutter/deprecated/clutter-behaviour-path.c    |   4 ++--
 clutter/deprecated/clutter-box.c               |  40 +++++++++++++++++++---------------------
 clutter/deprecated/clutter-cairo-texture.c     |  24 ++++++++----------------
 clutter/deprecated/clutter-state.c             | 132 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------
 clutter/deprecated/clutter-table-layout.c      |  30 +++++++++++-------------------
 clutter/deprecated/clutter-texture.c           |  45 +++++++++++++--------------------------------
 11 files changed, 228 insertions(+), 335 deletions(-)

commit 12370bd4f8246f72abe75fae90fdee452c7a8f58
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:07:58 2014 +0000

    docs: Move to markdown
    
    We're removing docbook tags in favour of the markdown syntax.

 clutter/clutter-actor.c            | 904 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 clutter/clutter-backend.c          |   8 +-
 clutter/clutter-bin-layout.c       |  34 ++------
 clutter/clutter-bind-constraint.c  |  31 ++-----
 clutter/clutter-binding-pool.c     |  19 ++---
 clutter/clutter-box-layout.c       |  34 +++-----
 clutter/clutter-canvas.c           |   9 +-
 clutter/clutter-child-meta.h       |   9 +-
 clutter/clutter-clone.c            |   6 +-
 clutter/clutter-color.c            |  28 ++-----
 clutter/clutter-constraint.c       | 207 +++++++++++++++++++--------------------------
 clutter/clutter-deform-effect.c    |  19 ++---
 clutter/clutter-drag-action.c      |  20 ++---
 clutter/clutter-drop-action.c      |  14 +---
 clutter/clutter-effect.c           | 158 ++++++++++++++---------------------
 clutter/clutter-flow-layout.c      |  35 +++-----
 clutter/clutter-gesture-action.c   |  64 +++++++-------
 clutter/clutter-image.c            |   9 +-
 clutter/clutter-input-device.c     |  20 ++---
 clutter/clutter-layout-manager.c   | 285 +++++++++++---------------------------------------------------
 clutter/clutter-main.c             | 140 +++++++++++--------------------
 clutter/clutter-model.c            |  70 ++++++++--------
 clutter/clutter-offscreen-effect.c |  41 ++++-----
 clutter/clutter-paint-volume.c     |  64 +++++++-------
 clutter/clutter-path.c             |  67 +++++----------
 clutter/clutter-script.c           |  10 +--
 clutter/clutter-scroll-actor.c     |   9 +-
 clutter/clutter-settings.c         |  24 +++---
 clutter/clutter-shader-effect.c    | 100 +++++++++++-----------
 clutter/clutter-stage.c            |  50 ++++++-----
 clutter/clutter-test-utils.c       |   2 +-
 clutter/clutter-test-utils.h       |   2 +-
 clutter/clutter-text.c             |   4 +-
 clutter/clutter-timeline.c         |  47 +++++------
 clutter/clutter-types.h            |   4 +-
 clutter/clutter-units.c            |   6 +-
 36 files changed, 1062 insertions(+), 1491 deletions(-)

commit 115104db8cec7defb010802186430695f0cac77b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 23:05:09 2014 +0000

    cally: Remove docbook tags

 clutter/cally/cally-group.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 8fc47244b0c182ecb79a6acce69a8d9669bb9202
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 18:52:27 2014 +0000

    build: Remove abicheck.sh
    
    We now control the visibility of symbols directly from the header files,
    so we always have the correct ABI.

 clutter/Makefile.am | 19 -------------------
 clutter/abicheck.sh | 46 ----------------------------------------------
 2 files changed, 65 deletions(-)

commit 386be83f249f81bdb95bdccda473f8f1e9cad2c2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 18:45:56 2014 +0000

    New visibility handling in Clutter
    
    Instead of listing every public symbol inside an ancillary file, we can
    use compiler annotations. This scheme is also used by GLib and GTK+.
    
    The symbols file is left in tree until the Visual Studio rules are
    fixed, but it's not used any more during distcheck.
    
    I double-checked that the exposed ABI is the same before and after this
    change, except for symbols that were never meant to be public in the
    first place, and that escaped our attention when we generated the first
    version of the symbols file.

 clutter/Makefile.am |  2 +-
 configure.ac        | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 1 deletion(-)

commit 5c4c2aa52f209758c3f6533ebcaeebf6b80fa029
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 18:51:02 2014 +0000

    symbols: Fix the expected ABI
    
    Some symbols that were never meant to be exported ended up in the
    symbols file.

 clutter/clutter.symbols | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 3b21999494a7196f1d3c7d5297d4abed39a98ec7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 18:43:08 2014 +0000

    Use _CLUTTER_EXTERN to define CLUTTER_VAR
    
    The macro is defined outside of the header, and does all the heavy
    lifting of getting the proper attributes.

 clutter/clutter-version.h.in | 17 ++++-------------
 1 file changed, 4 insertions(+), 13 deletions(-)

commit c44f73a7f142eebad2089c285cde19a4c13a8256
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 18:36:34 2014 +0000

    Include "config.h"
    
    Otherwise the symbol annotation won't be expanded correctly.

 clutter/clutter-keysyms-table.c | 2 ++
 1 file changed, 2 insertions(+)

commit 53a86e91d95d87fa28a3836deca537823d2ef5e0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 18:35:58 2014 +0000

    Annotate symbols in backend-specific headers
    
    Like we did for the rest of the API.

 clutter/egl/clutter-egl.h                    |  5 ++++-
 clutter/gdk/clutter-gdk.h                    |  7 +++++++
 clutter/wayland/clutter-wayland-compositor.h |  4 ++--
 clutter/win32/clutter-win32.h                |  5 +++++
 clutter/x11/clutter-glx-texture-pixmap.h     |  1 +
 clutter/x11/clutter-x11-texture-pixmap.h     |  9 +++++++++
 clutter/x11/clutter-x11.h                    | 22 ++++++++++++++++++++++
 7 files changed, 50 insertions(+), 3 deletions(-)

commit 66826bc6ba8a9fa250210ae16dfbf406d71dce24
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 19:26:27 2014 +0000

    Annotate symbol visibility in Cally
    
    Like we did for the main library.

 clutter/cally/cally-actor.h     | 13 +++++++++----
 clutter/cally/cally-clone.c     |  1 +
 clutter/cally/cally-clone.h     | 10 ++++++----
 clutter/cally/cally-group.c     |  2 ++
 clutter/cally/cally-group.h     |  8 +++++---
 clutter/cally/cally-main.h      |  9 +++++++--
 clutter/cally/cally-rectangle.c |  5 +++++
 clutter/cally/cally-rectangle.h |  8 +++++---
 clutter/cally/cally-root.c      |  8 +++++++-
 clutter/cally/cally-root.h      | 10 ++++++----
 clutter/cally/cally-stage.c     |  1 +
 clutter/cally/cally-stage.h     |  8 +++++---
 clutter/cally/cally-text.c      |  2 ++
 clutter/cally/cally-text.h      | 10 ++++++----
 clutter/cally/cally-texture.c   |  5 +++++
 clutter/cally/cally-texture.h   | 10 ++++++----
 clutter/cally/cally-util.h      |  8 +++++---
 17 files changed, 83 insertions(+), 35 deletions(-)

commit c69bb976b3e92cb4d4ef270fb955ce1c8f85a281
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 17 18:19:52 2014 +0000

    Annotate all public symbols
    
    We are going to switch to compiler annotations to determine the
    visibility of the symbols.

 clutter/clutter-action.h                     | 11 ++++++++++-
 clutter/clutter-actor-meta.h                 |  6 ++++++
 clutter/clutter-actor.c                      |  2 --
 clutter/clutter-actor.h                      | 89 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-align-constraint.h           |  8 ++++++++
 clutter/clutter-animatable.h                 |  5 +++++
 clutter/clutter-backend.h                    | 22 ++++++++++++++--------
 clutter/clutter-bin-layout.h                 |  6 ++++--
 clutter/clutter-bind-constraint.h            |  8 ++++++++
 clutter/clutter-binding-pool.h               | 13 +++++++++++++
 clutter/clutter-blur-effect.h                |  2 ++
 clutter/clutter-box-layout.h                 |  9 +++++++++
 clutter/clutter-brightness-contrast-effect.h |  8 ++++++++
 clutter/clutter-cairo.h                      |  2 ++
 clutter/clutter-child-meta.h                 |  9 ++++++---
 clutter/clutter-click-action.h               |  6 ++++++
 clutter/clutter-clone.h                      | 12 ++++++++----
 clutter/clutter-color.h                      | 39 ++++++++++++++++++++++++++++++++-------
 clutter/clutter-colorize-effect.h            |  4 ++++
 clutter/clutter-constraint.h                 |  9 +++++++++
 clutter/clutter-container.h                  | 86 +++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------
 clutter/clutter-deform-effect.h              | 28 +++++++++++++++++-----------
 clutter/clutter-desaturate-effect.h          |  4 ++++
 clutter/clutter-device-manager.h             |  8 ++++++--
 clutter/clutter-drag-action.h                | 10 ++++++++++
 clutter/clutter-drop-action.h                |  2 ++
 clutter/clutter-effect.h                     | 12 +++++++++++-
 clutter/clutter-enum-types.c.in              |  1 +
 clutter/clutter-enum-types.h.in              | 19 +++++++++++--------
 clutter/clutter-event.h                      | 52 ++++++++++++++++++++++++++++++++++++++++++++--------
 clutter/clutter-feature.h                    |  2 ++
 clutter/clutter-fixed-layout.h               |  2 ++
 clutter/clutter-flow-layout.h                | 14 ++++++++++++++
 clutter/clutter-gesture-action.h             |  7 +++++++
 clutter/clutter-group.h                      |  1 +
 clutter/clutter-input-device.h               | 20 ++++++++++++++++++++
 clutter/clutter-interval.c                   |  8 ++++++--
 clutter/clutter-interval.h                   | 18 ++++++++++++++++++
 clutter/clutter-layout-manager.h             | 13 +++++++++++++
 clutter/clutter-layout-meta.h                |  2 ++
 clutter/clutter-list-model.h                 |  3 +++
 clutter/clutter-macros.h                     | 78 ++++++++++++++++++++++++++++++++++++++++++------------------------------------
 clutter/clutter-main.h                       | 36 ++++++++++++++++++++++++++++++++++++
 clutter/clutter-model.h                      | 43 ++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-offscreen-effect.h           |  4 ++++
 clutter/clutter-page-turn-effect.h           |  8 ++++++++
 clutter/clutter-path-constraint.h            |  6 ++++++
 clutter/clutter-path.h                       | 26 ++++++++++++++++++++++++++
 clutter/clutter-script.h                     | 16 ++++++++++++++++
 clutter/clutter-scriptable.h                 |  5 +++++
 clutter/clutter-settings.h                   |  2 ++
 clutter/clutter-shader-effect.h              |  7 +++++++
 clutter/clutter-shader-types.h               | 11 ++++++++++-
 clutter/clutter-snap-constraint.h            |  8 ++++++++
 clutter/clutter-stage-manager.h              |  5 +++++
 clutter/clutter-stage.h                      | 35 +++++++++++++++++++++++++++++++++++
 clutter/clutter-swipe-action.h               |  2 ++
 clutter/clutter-text.h                       | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-texture.h                    |  2 ++
 clutter/clutter-timeline.h                   | 25 +++++++++++++++++++++++++
 clutter/clutter-types.h                      | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-units.h                      | 18 ++++++++++++++++++
 clutter/clutter-version.h.in                 |  6 ------
 clutter/clutter.h                            |  3 +--
 clutter/deprecated/clutter-fixed.h           |  1 +
 65 files changed, 908 insertions(+), 142 deletions(-)

commit 2102573700c84dcb9f94a77eaee7863326ebe3db
Author: teuf <teuf@gnome.org>
Date:   Sun Mar 16 15:33:11 2014 +0000

    Updated French translation

 po/fr.po | 921 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 1 file changed, 493 insertions(+), 428 deletions(-)

commit e70a0109f2306080a853aa15eb61fd9ce53edf73
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Nov 11 18:16:32 2013 +0100

    Avoid needless event copies when queueing from a backend to a stage
    
    All backends follow the same pattern of queueing events first in
    ClutterMainContext, then copying them to a ClutterStage queue and
    immediately free them. Instead, we can just pass ownership of events
    directly to ClutterStage thus avoiding the allocation and copy in
    between.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711857

 clutter/clutter-main.c                       | 2 +-
 clutter/clutter-stage-private.h              | 3 ++-
 clutter/clutter-stage.c                      | 8 ++++++--
 clutter/evdev/clutter-device-manager-evdev.c | 4 ++--
 clutter/gdk/clutter-event-gdk.c              | 3 +--
 clutter/osx/clutter-event-loop-osx.c         | 3 +--
 clutter/tslib/clutter-event-tslib.c          | 3 +--
 clutter/wayland/clutter-event-wayland.c      | 4 ++--
 clutter/win32/clutter-event-win32.c          | 3 +--
 clutter/x11/clutter-event-x11.c              | 7 +++----
 10 files changed, 20 insertions(+), 20 deletions(-)

commit 572504db4db7b69a62825c755129efb58bb19b54
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Mar 15 19:31:54 2014 +0000

    Edit an incorrect comment
    
    The location of the cool-off handling of clipped redraws has been moved
    to clutter-stage-x11.c a long time ago (commit 1b1e77b4).

 clutter/x11/clutter-stage-x11.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 79ece182dc1b6939bd4bf16c4bae7838aaf00de1
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Mar 14 21:24:57 2014 -0400

    egl: Only expose clutter_egl_set_kms_fd if we have KMS support
    
    And only call the proper Cogl functions in that case, too. This
    fixes the build on platforms without KMS, like the BSDs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726198

 clutter/egl/clutter-backend-eglnative.c | 6 ++++++
 clutter/egl/clutter-egl.h               | 2 ++
 2 files changed, 8 insertions(+)

commit a4440b718d17dccf9a7def882b42bb2f976510e9
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Sep 18 21:56:06 2013 +0200

    wayland: Keep track of button modifier state
    
    Keep track of the button modifier mask state in
    ClutterInputDeviceWayland and push its state to new button events going
    out.
    
    Signed-off-by: Jonas Ådahl <jadahl@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708781

 clutter/wayland/clutter-input-device-wayland.c | 14 ++++++++++++++
 clutter/wayland/clutter-input-device-wayland.h |  1 +
 2 files changed, 15 insertions(+)

commit a96daf82c255c0d8c45361b5b2059008d660029d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 28 09:48:10 2014 -0500

    egl: Add a way to set the KMS FD
    
    This is needed for the logind integration work, where logind will
    send us an already-opened FD to KMS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726198

 clutter/egl/clutter-backend-eglnative.c | 39 +++++++++++++++++++++++++++++++++++++++
 clutter/egl/clutter-egl.h               |  2 ++
 2 files changed, 41 insertions(+)

commit 06387c3fd79f174be3a8c12afda27b523e696153
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Fri Mar 14 10:41:57 2014 +0100

    stage-cogl: Fix feature check in clutter_stage_cogl_redraw
    
    We do not strictly require the 'swap-region' Cogl feature in order to use
    clipped redraws: they work equally well with just the 'buffer-age' Cogl
    feature.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726313

 clutter/cogl/clutter-stage-cogl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f649d732f9c2507664a85e5358ccd6b541ffb24a
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Fri Mar 14 10:55:52 2014 +0100

    clutter-stage-wayland: Enable clipped redraws
    
    _clutter_stage_window_can_clip_redraws is used to check for clipped redraws
    support but can_clip_redraws is not implemented by clutter-stage-wayland so
    it always returns FALSE causing full screen redraws.
    
    Fix that by implementing can_clip_redraws in clutter-stage-wayland.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726315

 clutter/wayland/clutter-stage-wayland.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit e4497baaf02cbcc0acf345ad97795831f947de53
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Fri Mar 14 14:18:33 2014 +0100

    eglnative: Add clutter-stage-window implementation
    
    Add a ClutterStageEglNative implemennation that implements
    can_clip_redraws so that clipped redraws can work
    on eglnative.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726341

 clutter/Makefile.am                     |  4 ++--
 clutter/egl/clutter-backend-eglnative.c |  4 +++-
 clutter/egl/clutter-stage-eglnative.c   | 70 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/egl/clutter-stage-eglnative.h   | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 134 insertions(+), 3 deletions(-)

commit dcaf5686a243d8b75ebe85206386dcf380216851
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Mar 10 10:25:22 2014 -0400

    evdev: Always create the main seat
    
    There could be times when we may not necessarily see a device appear
    at initialization time, like when we're VT switched away when we
    initialize, and thus we can't ever rely on a main seat appearing.
    
    Always create a main seat with logical pointer/keyboard devices, and
    tie the first physical seat that comes in to the main seat.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726199

 clutter/evdev/clutter-device-manager-evdev.c | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

commit defe55ff097aa53897bdd43c5ffdeadaab9f2a85
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Mar 10 10:20:52 2014 -0400

    evdev: Extract code for setting the libinput seat out
    
    We're going to create the main seat at an earlier time, when
    we don't have the physical libinput_seat yet, so we need to
    do the association later.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726199

 clutter/evdev/clutter-device-manager-evdev.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 5facd710c8258a60d99b0a98199f83aac7dd9139
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Mar 10 10:19:09 2014 -0400

    evdev: Set the initial pointer position for all pointer devices
    
    Rather than just those on the main seat.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726199

 clutter/evdev/clutter-device-manager-evdev.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit e23f77f1e62afd8db712ab75b788dd92f06b9b2a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sat Mar 1 13:06:25 2014 -0500

    evdev: Extend the device open callback with a close callback as well
    
    We need to return the device to logind with ReleaseDevice().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726199

 clutter/evdev/clutter-device-manager-evdev.c | 29 ++++++++++++++++++-----------
 clutter/evdev/clutter-evdev.h                |  7 +++++--
 2 files changed, 23 insertions(+), 13 deletions(-)

commit aa5a4e9e3c1cbeeb6658b0f33788487bc6867187
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 11 22:50:04 2014 +0000

    stage: Use the correct types for debug note

 clutter/clutter-stage.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 3b22c28da4d1a5080052b43b3ba6370b02f1d4b0
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Mar 12 01:48:11 2014 +0000

    Updated Portuguese translation

 po/pt.po | 886 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------
 1 file changed, 473 insertions(+), 413 deletions(-)

commit 967d4c5b856dc910b42f5f1834a1ecc93035b9ec
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Wed Mar 12 09:38:10 2014 +0900

    Added Korean translation

 po/ko.po | 2799 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2799 insertions(+)

commit 70835c904a63cf40e175163ef33cbe62f0bfbe89
Author: Bastian Winkler <buz@netbuz.org>
Date:   Tue Mar 11 12:35:03 2014 +0100

    grid-layout: Use correct orientation when requesting preferred child size
    
    Otherwise width and height are swapped.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725722

 clutter/clutter-grid-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65c7c4bcb6cdca0fafacce9b66eb394890f9e929
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Tue Mar 11 16:20:07 2014 +0400

    Updated Russian translation

 po/ru.po | 1118 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 602 insertions(+), 516 deletions(-)

commit 146c0610b7cc76cb963567aea28002e822844d36
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Mar 9 11:29:52 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 196 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------
 po/zh_TW.po | 196 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------
 2 files changed, 206 insertions(+), 186 deletions(-)

commit e95f7e34c001c9a92678a21920cc778ac1ad6c01
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Mar 8 19:46:12 2014 +0200

    Updated Latvian translation

 po/lv.po | 935 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 1 file changed, 500 insertions(+), 435 deletions(-)

commit 986077cbda36dea47e5b342072f0a587c55a3643
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Sat Mar 8 12:45:29 2014 +0000

    Updated Chinese (China) translation

 po/zh_CN.po | 336 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 1 file changed, 187 insertions(+), 149 deletions(-)

commit c1fd29df7ac73ca85c0d3e0e2d9da92af250c9c4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 7 12:28:40 2014 +0800

    Fix The Win32 Backend for Newer Visual Studio Versions
    
    The GetSystemMetrics() function returns wrong values for SM_CXSIZEFRAME,
    SM_CYSIZEFRAME, SM_CXFIXEDFRAME and SM_CYFIXEDFRAME when built with Visual
    Studio 2012 and 2013 (unless the XP compatibility setting for the
    PlatformToolset entry is turned on), causing the window of Clutter programs
    to automatically shrink to a point where they become unusable.
    
    This patch uses AdjustWindowRectEx() for builds using Visual Studio 2012
    and later, which deduces the required height and width of the Window
    properly.  Unfortunately we can't use this for the VS 2008/2010 builds as
    they cause the Window to continually expand as the program is run.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725873

 clutter/win32/clutter-stage-win32.c | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit acd7d9555c09ef7b22fe1b08980b1eaf9759405a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 5 18:44:19 2014 +0800

    Fix Build of clutter-test-utils.c on Windows
    
    The use of "environ" clashes with a #define in Window's stdlib.h, at least
    on Visual Studio, so fix the build by prefixing environ with test_.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725716

 clutter/clutter-test-utils.c | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit da22baa99d732af42f2fcbcd22042a5ddb9e82f6
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 6 19:51:50 2014 +0800

    Visual Studio 2010 Projects: Add PlatformToolset Tag
    
    This adds a PlatformToolset tag for each configuration so that it is easier
    to upgrade the projects to Visual Studio 2012/2013 formats, which are
    largely the same as the Visual Studio 2010 projects.  We can, for example,
    use a script to change the values of the PlatformToolset to make these
    projects usable out-of-the-box for Visual Studio 2012/2013.

 build/win32/vs10/cally-atkcomponent-example.vcxproj         | 4 ++++
 build/win32/vs10/cally-atkeditabletext-example.vcxproj      | 4 ++++
 build/win32/vs10/cally-atkevents-example.vcxproj            | 4 ++++
 build/win32/vs10/cally-atktext-example.vcxproj              | 4 ++++
 build/win32/vs10/cally-clone-example.vcxproj                | 4 ++++
 build/win32/vs10/clutter.vcxprojin                          | 8 ++++++++
 build/win32/vs10/install.vcxproj                            | 4 ++++
 build/win32/vs10/test-cogl-perf.vcxproj                     | 4 ++++
 build/win32/vs10/test-interactive-clutter.vcxprojin         | 4 ++++
 build/win32/vs10/test-picking-performance.vcxproj           | 4 ++++
 build/win32/vs10/test-picking.vcxproj                       | 4 ++++
 build/win32/vs10/test-random-text.vcxproj                   | 4 ++++
 build/win32/vs10/test-state-hidden-performance.vcxproj      | 4 ++++
 build/win32/vs10/test-state-interactive-performance.vcxproj | 4 ++++
 build/win32/vs10/test-state-mini-performance.vcxproj        | 4 ++++
 build/win32/vs10/test-state-performance.vcxproj             | 4 ++++
 build/win32/vs10/test-state-pick-performance.vcxproj        | 4 ++++
 build/win32/vs10/test-text-perf-performance.vcxproj         | 4 ++++
 build/win32/vs10/test-text-perf.vcxproj                     | 4 ++++
 build/win32/vs10/test-text.vcxproj                          | 4 ++++
 20 files changed, 84 insertions(+)

commit b52397d37450d7aa5301712b5a9294fe238ac587
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 6 16:30:30 2014 +0800

    Overhaul the Visual Studio 2010 Build Files
    
    Like the Visual Studio 2008 projects, give the Visual Studio 2010 projects
    an overhaul, where:
    
    -The property sheets are split up, so that they are easier to maintain and
     each project only needs to include the necessary parts.  The various
     projects are updated accordingly, too.  The copying of config.h.win32 and
     clutter-config.h.win32(_GDK) are now done with custom build rules, so that
     these files can be cleaned and/or recopied during a clean, rebuild or
     update.
    
    -Clean up the property sheets, to get rid of parts that are actually
     repeated.  Also update the build macros, so that we won't get warnings
     for repeated #defines of macros and fix the build of the various tests/
     demo programs.
    
    -Make all projects use Unix line endings, except for the .sln and
     README.txt files, which need to have Windows line endings.  This makes it
     easier to apply patches to these project files.
    
    -Update the installation of headers, as headers are introduced/deprecated.
    
    -Cosmetics: get rid of "\ No newline at end of file".

 build/win32/vs10/Makefile.am                                        |   5 ++-
 build/win32/vs10/cally-atkcomponent-example.vcxproj                 |  10 ++---
 build/win32/vs10/cally-atkcomponent-example.vcxproj.filters         |   2 +-
 build/win32/vs10/cally-atkeditabletext-example.vcxproj              |  10 ++---
 build/win32/vs10/cally-atkeditabletext-example.vcxproj.filters      |   2 +-
 build/win32/vs10/cally-atkevents-example.vcxproj                    |  10 ++---
 build/win32/vs10/cally-atkevents-example.vcxproj.filters            |   2 +-
 build/win32/vs10/cally-atktext-example.vcxproj                      |  10 ++---
 build/win32/vs10/cally-atktext-example.vcxproj.filters              |   2 +-
 build/win32/vs10/cally-clone-example.vcxproj                        |  10 ++---
 build/win32/vs10/cally-clone-example.vcxproj.filters                |   2 +-
 build/win32/vs10/clutter-build-defines.props                        |  63 +++++++++++++++++++++++++++++++
 build/win32/vs10/clutter-gen-srcs.props                             |  98 +++++++++++++++++++++++++++++++++++++++++++++++
 build/win32/vs10/{clutter.props => clutter-install.props}           | 219 +++++++++------------------------------------------------------------------------------------------------
 build/win32/vs10/clutter-version-paths.props                        |  57 ++++++++++++++++++++++++++++
 build/win32/vs10/clutter.vcxproj.filtersin                          |   4 ++
 build/win32/vs10/clutter.vcxprojin                                  | 162 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------
 build/win32/vs10/install.vcxproj                                    |  10 ++---
 build/win32/vs10/test-cogl-perf.vcxproj                             |  10 ++---
 build/win32/vs10/test-cogl-perf.vcxproj.filters                     |   2 +-
 build/win32/vs10/test-interactive-clutter.vcxproj.filtersin         |   2 +-
 build/win32/vs10/test-interactive-clutter.vcxprojin                 |  10 ++---
 build/win32/vs10/test-picking-performance.vcxproj                   | 338 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 build/win32/vs10/test-picking-performance.vcxproj.filters           |  46 +++++++++++------------
 build/win32/vs10/test-picking.vcxproj                               |  10 ++---
 build/win32/vs10/test-picking.vcxproj.filters                       |   2 +-
 build/win32/vs10/test-random-text.vcxproj                           |  10 ++---
 build/win32/vs10/test-random-text.vcxproj.filters                   |   2 +-
 build/win32/vs10/test-state-hidden-performance.vcxproj              | 338 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 build/win32/vs10/test-state-hidden-performance.vcxproj.filters      |  46 +++++++++++------------
 build/win32/vs10/test-state-interactive-performance.vcxproj         | 338 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 build/win32/vs10/test-state-interactive-performance.vcxproj.filters |  46 +++++++++++------------
 build/win32/vs10/test-state-mini-performance.vcxproj                | 338 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 build/win32/vs10/test-state-mini-performance.vcxproj.filters        |  46 +++++++++++------------
 build/win32/vs10/test-state-performance.vcxproj                     | 338 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 build/win32/vs10/test-state-performance.vcxproj.filters             |  46 +++++++++++------------
 build/win32/vs10/test-state-pick-performance.vcxproj                | 338 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 build/win32/vs10/test-state-pick-performance.vcxproj.filters        |  46 +++++++++++------------
 build/win32/vs10/test-text-perf-performance.vcxproj                 | 338 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 build/win32/vs10/test-text-perf-performance.vcxproj.filters         |  46 +++++++++++------------
 build/win32/vs10/test-text-perf.vcxproj                             |  10 ++---
 build/win32/vs10/test-text-perf.vcxproj.filters                     |   2 +-
 build/win32/vs10/test-text.vcxproj                                  |  10 ++---
 build/win32/vs10/test-text.vcxproj.filters                          |   2 +-
 44 files changed, 1780 insertions(+), 1658 deletions(-)

commit 3c344fe5eda34e1221da23818a2ce297d0f22125
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 5 18:41:45 2014 +0800

    Overhaul the Visual Studio 2008 Projects
    
    Split up the property sheets, so that they are easier to maintain, and
    clean up the projects and property sheets, especially on items that are
    being repeated, and therefore silence many build warnings.  Update the
    project files correspondingly, and make all project files use Unix line
    endings, for easier application of patches (the .sln and README.txt files
    still has to have Windows line endings in order to work properly).
    
    Also make the copying of config.h.win32 and clutter-config.h.win32(_GDK)
    custom build rules, so that they may also be cleaned during the cleaning
    of the build, which makes it easier for one to do a rebuild.
    
    Similar updates to the Visual Studio 2010 project files will follow.

 build/win32/vs9/Makefile.am                                  |   5 ++-
 build/win32/vs9/cally-atkcomponent-example.vcproj            |   8 ++---
 build/win32/vs9/cally-atkeditabletext-example.vcproj         |   8 ++---
 build/win32/vs9/cally-atkevents-example.vcproj               |   8 ++---
 build/win32/vs9/cally-atktext-example.vcproj                 |   8 ++---
 build/win32/vs9/cally-clone-example.vcproj                   |   8 ++---
 build/win32/vs9/clutter-build-defines.vsprops                |  57 ++++++++++++++++++++++++++++++
 build/win32/vs9/clutter-gen-srcs.vsprops                     |  81 ++++++++++++++++++++++++++++++++++++++++++
 build/win32/vs9/{clutter.vsprops => clutter-install.vsprops} | 182 ++++++---------------------------------------------------------------------------------------
 build/win32/vs9/clutter-version-paths.vsprops                |  54 ++++++++++++++++++++++++++++
 build/win32/vs9/clutter.vcprojin                             | 328 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------
 build/win32/vs9/install.vcproj                               |   8 ++---
 build/win32/vs9/test-cogl-perf.vcproj                        |   8 ++---
 build/win32/vs9/test-interactive-clutter.vcprojin            |   8 ++---
 build/win32/vs9/test-picking-performance.vcproj              | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 build/win32/vs9/test-picking.vcproj                          |   8 ++---
 build/win32/vs9/test-random-text.vcproj                      |   8 ++---
 build/win32/vs9/test-state-hidden-performance.vcproj         | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 build/win32/vs9/test-state-interactive-performance.vcproj    | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 build/win32/vs9/test-state-mini-performance.vcproj           | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 build/win32/vs9/test-state-performance.vcproj                | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 build/win32/vs9/test-state-pick-performance.vcproj           | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 build/win32/vs9/test-text-perf-performance.vcproj            | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 build/win32/vs9/test-text-perf.vcproj                        |   8 ++---
 build/win32/vs9/test-text.vcproj                             |   8 ++---
 25 files changed, 1664 insertions(+), 1463 deletions(-)

commit 016eb45feed24500a68609f87255a170e6b64d91
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 4 01:35:36 2014 +0000

    Post-release version bump to 1.17.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c2081fce45ce9363d167df0ef5093d272ca9c14
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 4 01:29:07 2014 +0000

    Release Clutter 1.17.6

 NEWS         | 40 ++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 41 insertions(+), 1 deletion(-)

commit c73f45ca7c90af622e604e1edd8e27f4bdd9acc8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 3 23:25:08 2014 +0000

    text: Use the keymap direction when focused
    
    If the ClutterText actor has key focus then we should ask for the
    direction of the key map, instead of the direction of the actor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705779

 clutter/clutter-text.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 3209129d6b9031fc4beb4d0c5c6b8a8c05286941
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 3 23:23:12 2014 +0000

    x11: Add keymap direction query
    
    We should use the Xkb API to query the direction of the key map,
    depending on the group. To get a valid result we need to go over
    the Unicode equivalents of the key symbols for each group, so we
    should cache the result.
    
    The code used to query and cache the key map direction is taken
    from GDK.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705779

 clutter/x11/clutter-backend-x11.c |  13 +++++++++++++
 clutter/x11/clutter-keymap-x11.c  | 164 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/x11/clutter-keymap-x11.h  |   3 +++
 3 files changed, 179 insertions(+), 1 deletion(-)

commit a0003499783d28028dbc4c48e3c673d6b244a20e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 3 23:22:13 2014 +0000

    backend: Add private accessor for the keymap direction
    
    We need to ask the backend (wherever possible) for the direction of the
    current keymap.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705779

 clutter/clutter-backend-private.h |  4 ++++
 clutter/clutter-backend.c         | 12 ++++++++++++
 2 files changed, 16 insertions(+)

commit 6faf6dfe420c57f97d4603979693e282082e9a9a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 3 19:16:00 2014 +0000

    text: Use the resolved text direction
    
    Now that we compute the effective text direction when creating the Pango
    layout, we should also use it when painting it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705779

 clutter/clutter-text.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 50b6b59d02947bf17252c402deff112c2071edc8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 3 18:04:19 2014 +0000

    text: Discover the direction of the contents
    
    We should set the direction on the PangoContext when creating a
    PangoLayout based on a best effort between the contents of the text
    itself and the text direction of the widget, in case that fails.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705779

 clutter/clutter-text.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit c42aa42361ef12f2b331fe10db77510f2aada67c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Mar 3 21:47:28 2014 +0100

    Updated Galician translations

 po/gl.po | 76 ++++++++++++++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 44 insertions(+), 32 deletions(-)

commit 9b097eb4d86e5235b3434a1e095f29a6a835b3cc
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sat Mar 1 14:12:54 2014 -0500

    device-manager-evdev: Make sure to reset released when reclaiming devices
    
    Otherwise, Clutter will tell us that we forgot to call reclaim_devices
    the next time we call release_devices... but we didn't!

 clutter/evdev/clutter-device-manager-evdev.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4a3ad9c3af2db9bb805b7abae018f6531087d1ac
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Mon Mar 3 11:36:11 2014 +0100

    DeviceManagerXi2: Cache the client pointer
    
    Currently clutter_device_manager_xi2_get_core_device always
    does a round trip to query the client.
    
    So avoid that by caching the client pointer and only update it when the
    xi devices change.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725561

 clutter/x11/clutter-device-manager-xi2.c | 35 ++++++++++++++++++++++-------------
 1 file changed, 22 insertions(+), 13 deletions(-)

commit edc91b7640c15678a9136dc1028518a46631936a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Mar 2 18:49:34 2014 +0100

    Updated Polish translation

 po/pl.po | 930 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 489 insertions(+), 441 deletions(-)

commit fdd553d2a9bef6cd449311e491fd985cad750f93
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 28 09:50:36 2014 -0500

    evdev: Kill compile warning

 clutter/evdev/clutter-device-manager-evdev.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64508e48b633dfd07fe2602b4c0601b267c2bb08
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Feb 27 11:30:10 2014 +0100

    evdev: Add missing CLUTTER_AVAILABLE_IN_* annotations

 clutter/evdev/clutter-evdev.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2c9a4fd2204626119c501eb30f9608f660dd0c9a
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Feb 27 11:22:50 2014 +0100

    evdev: Add missing 'Since' and 'Stability' doc tags

 clutter/evdev/clutter-device-manager-evdev.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 458de1178dcfd2371ca8d1e684c403b631c552cf
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Feb 24 16:41:51 2014 +0100

    evdev: Set the initial core pointer coordinates to a sane value
    
    ClutterInputDevice's default initial coordinates is (-1, -1) and since
    they're updated from events in a relative way it means that the
    pointer can go outside the stage right from the first event.
    
    We usually let this up to higher layers to fix through the pointer
    constraint callback but that doesn't work if the first event doesn't
    put the pointer immediately inside the stage.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725103

 clutter/evdev/clutter-device-manager-evdev.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit d67b38f96086d8cec316784516154b3af4a449eb
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Jan 15 17:54:25 2014 +0100

    evdev: Make the keymap available
    
    Make the keymap available so that consumers don't have to duplicate it
    if they need it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725102

 clutter/evdev/clutter-device-manager-evdev.c | 20 ++++++++++++++++++++
 clutter/evdev/clutter-evdev.h                |  2 ++
 2 files changed, 22 insertions(+)

commit 2a7d5503d85e8b35ee1347a12e3099273b689408
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jan 20 13:50:08 2014 +0100

    evdev: Don't update xkb state with pressed keys on keymap change
    
    Doing so is unlikely to work reliably. Instead, switching the keymap
    should be done at a time when no key is currently pressed down, but
    let's leave that task to higher level code.
    
    This allows us to remove key state tracking at yet another level in
    the stack since higher level code likely already tracks this for other
    purposes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725102

 clutter/evdev/clutter-device-manager-evdev.c | 47 +++--------------------------------------------
 1 file changed, 3 insertions(+), 44 deletions(-)

commit 945ee5764af31a0471c8410b094b41f343afd67a
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jan 20 13:47:06 2014 +0100

    evdev: Keep latched and locked modifier state when switching keymaps
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725102

 clutter/evdev/clutter-device-manager-evdev.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit a6bd53ec426f48441541b484281295316ce0b077
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jan 13 16:05:57 2014 +0100

    evdev: Implement keyboard repeat
    
    The kernel keyboard repeat functionality isn't configurable and
    libinput rightfully ignores it.
    
    This implements keyboard repeat in userspace allowing for consumers to
    set the initial delay and repeat intervals.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725102

 clutter/evdev/clutter-device-manager-evdev.c | 129 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 clutter/evdev/clutter-evdev.h                |   4 ++++
 2 files changed, 131 insertions(+), 2 deletions(-)

commit 133f95fd0d5ec3a4ec8c6f5db5be5331a1d328f2
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Feb 24 14:22:19 2014 +0100

    evdev: Add a conditional define guard to expose API
    
    The evdev backend has always been excluded from Clutter's API
    stability guarantee though in an informal way. This commit makes it
    explicit by forcing users to define CLUTTER_ENABLE_COMPOSITOR_API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725102

 README.in                     | 6 ++++++
 clutter/evdev/clutter-evdev.h | 5 +++++
 2 files changed, 11 insertions(+)

commit b9abda52b62913939d9caf374ada282071083537
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Feb 27 10:55:05 2014 +0100

    build: Bump required libinput version to the actually released 0.1.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dacb515e27fe9f98fcfe7b93730e8b9bf76f11e2
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Sun Dec 15 17:38:56 2013 +0100

    evdev: Port evdev input backend to libinput
    
    Instead of having its own evdev input device processing implementation,
    make clutter's evdev backend use libinput to do input device processing
    for it.
    
    Two GObject parameters of ClutterInputDeviceEvdev (sysfs-path and
    device-path) are removed as they are not used any more.
    
    Before ClutterDeviceManagerEvdev had one virtual core keyboard and one
    virtual core pointer device. These are now instead separated into seats,
    which all have one virtual core keyboard and pointer device respectively.
    
    The 'global' core keyboard and pointer device are the core keyboard and
    pointer device of the first seat that is created.
    
    A ClutterInputDeviceEvdev can, as before, both represent a real physical
    device or a virtual device, but is now instead created either via
    _clutter_input_device_evdev_new() for real devices, and
    _clutter_input_device_new_virtual() for virtual devices.
    
    XKB state and button state is moved to the seat structure and is thus
    separated per seat. Seats are not a concept exposed outside of clutter's
    evdev backend.
    
    Signed-off-by: Jonas Ådahl <jadahl@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720566

 README.in                                    |    7 +-
 clutter/evdev/clutter-device-manager-evdev.c | 1317 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 clutter/evdev/clutter-input-device-evdev.c   |  238 +++++++++++++++++-----------------
 clutter/evdev/clutter-input-device-evdev.h   |   35 ++++-
 configure.ac                                 |    8 +-
 5 files changed, 757 insertions(+), 848 deletions(-)

commit 488639eb63f0c26d65db0700e94b1067da873617
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Feb 22 20:35:23 2014 +0100

    x11: Avoid invalid ClutterInputDevice pointers in the device list
    
    Due to the way add_device() invariably adds to the master/slave device
    lists, while keeping ClutterInputDevices 1:1 with device IDs, it may
    leave invalid pointers in the list if add_device() is called multiple
    times for the same device ID. There are two situations where this may
    happen:
    
    1) If devices are disabled and later enabled: devices are added invariably
       to the master/slave lists on constructed(), but then on XIDeviceEnabled
       they'd get added yet again.
    2) Racy cases where the ClutterDeviceManager is created around the same time
       XIHierarchyEvents are sent. When getting the XIDeviceInfo on constructed(),
       these devices may already appear as enabled, even though XIDeviceEnabled
       is seen through XIHierarchyEvents processed in the event loop sortly after.
    
       This last case can be seen when starting gnome-shell on a different tty,
       and entering in the one it's been spawned on, clutter initialization
       happens around the same time devices are added back because of the tty
       switch, and multiple extra ClutterInputDevices are created.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724971

 clutter/x11/clutter-device-manager-xi2.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c4372249e2b80b7623ad9ce33de2683f2ebed17c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Feb 24 22:45:32 2014 +0100

    Updated Serbian translation

 po/sr.po       | 62 ++++++++++++++++++++++++++++++++++++++------------------------
 po/sr@latin.po | 62 ++++++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 76 insertions(+), 48 deletions(-)

commit 856342caadc4d9c8ed1ad701ba77800d0367b5b5
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sun Feb 23 16:29:28 2014 +0100

    Updated Hungarian translation

 po/hu.po | 863 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 468 insertions(+), 395 deletions(-)

commit cee480bd1a33305dff6f9302132e647acf1048ad
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Feb 22 13:14:34 2014 +0100

    Updated Czech translation

 po/cs.po | 50 +++++++++++++++++++++++++++++++++-----------------
 1 file changed, 33 insertions(+), 17 deletions(-)

commit f8cfb5dd074d65f213da2e3bfea9787febf9fb3d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Feb 21 22:13:07 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 931 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 1 file changed, 500 insertions(+), 431 deletions(-)

commit bde9ea04e0409ad1101462fc11d82feb61cf3616
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Feb 21 14:52:30 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 54 +++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 37 insertions(+), 17 deletions(-)

commit 263939553385102bf53fe3dfeaa64ee7364d7b89
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Feb 16 22:07:43 2014 +0100

    stage-cogl: Fix buffer_age code path
    
    Currently we where checking whether the damage_history list contains
    more or equal then buffer_age entries. This is wrong because we prepend
    our current clip to the list just before the check.
    
    Fix that to check whether we have more entries instead of more or equal.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724788

 clutter/cogl/clutter-stage-cogl.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 75f2b1c5c211537a4777d6ddb4cc6a63f6a6cc56
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 19 13:30:45 2014 +0000

    Post-release version bump to 1.17.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fe74f58cb5b7d837ea72fe9a8e72828a4d084ec
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 19 13:24:22 2014 +0000

    Release Clutter 1.17.4 (snapshot)

 NEWS         | 36 ++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 5b3a1f75ca77eda839e6e367473f444b3bbf1a1d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 19 13:20:41 2014 +0000

    docs: Ignore clutter-test-utils.h
    
    The API is public, because we need it in the conformance test suite, but
    it's still a work in progress.

 doc/reference/clutter/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 15dd607120473ef26fc61d26c66ab0e587a01271
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 19 13:07:30 2014 +0000

    docs: Add missing symbols to the API reference

 doc/reference/clutter/clutter-sections.txt | 7 +++++++
 1 file changed, 7 insertions(+)

commit 8935ee4a78561024140468ae713be34760f313d6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 19 13:04:09 2014 +0000

    Add missing exported symbols

 clutter/clutter.symbols | 2 ++
 1 file changed, 2 insertions(+)

commit 0f5db3dafa210be84155b9cc74b57349d9c21860
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Feb 16 12:21:14 2014 +0100

    [l10n] Updated Italian translation.

 po/it.po | 57 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 36 insertions(+), 21 deletions(-)

commit 320b3fe4d4e39d9b7a5fceca5caa8116c3fcc504
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Feb 14 20:37:43 2014 +0200

    Added uk translation

 po/uk.po | 1572 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 1 file changed, 853 insertions(+), 719 deletions(-)

commit 197d1703649ea39f226b5a72702a7ec93b201ebc
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Fri Feb 14 13:08:26 2014 +0100

    stage_cogl: Don't scale the current_damage when adding to the damage_list
    
    Otherwise we will union the scaled rectange with the clip_region which is
    unscaled causing us to redraw a larger area.

 clutter/cogl/clutter-stage-cogl.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f01716f9bc24194db39f3ab886e483cffbf6e36a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Feb 14 10:19:07 2014 +0100

    Updated Spanish translation

 po/es.po | 57 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 36 insertions(+), 21 deletions(-)

commit 32b3d27bb91fd305e0d095910a75295e455edd8c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 12 17:41:03 2014 +0100

    GestureActions: Add per-action thresholds
    
    Instead of relying on the dnd drag threshold, add per-action
    horizontal and vertical thresholds. Use them in the swipe action
    as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724242

 clutter/clutter-gesture-action.c | 163 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------
 clutter/clutter-gesture-action.h |  10 ++++++++++
 clutter/clutter-swipe-action.c   |  24 +++++++++++++-----------
 3 files changed, 172 insertions(+), 25 deletions(-)

commit 54e2657cb0265c70f82249c83962901a6492d863
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 12 17:36:43 2014 +0100

    GestureActions: Set threshold-trigger-edge at right time
    
    It was set during the _init(), and swiftly overridden with the
    default value in construct. Do it in constructed() instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724242

 clutter/clutter-pan-action.c    | 15 ++++++++++-----
 clutter/clutter-rotate-action.c | 14 +++++++++++++-
 clutter/clutter-swipe-action.c  | 14 +++++++++++---
 clutter/clutter-tap-action.c    | 13 +++++++++++--
 clutter/clutter-zoom-action.c   | 11 ++++++++++-
 5 files changed, 55 insertions(+), 12 deletions(-)

commit 094f196bb50bb137750cd30f370b5b83d58a665d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 12 20:29:41 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit f7ac4e77de408d2daf7d4378c267187e7a44cb10
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 12 20:29:05 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 1805 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 1 file changed, 1014 insertions(+), 791 deletions(-)

commit f73b4d334a0237fbf87737a2334c27244dda3d65
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 10 18:35:12 2014 +0000

    actor: Extend :scale-[xyz] factors in the negative range
    
    The corresponding methods accept negative values already.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706311

 clutter/clutter-actor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dd08b6fd9856a91c71881a61f109874c9e52a629
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 10 18:32:36 2014 +0000

    docs: Explicitly mention that Transition is abstract
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710232

 clutter/clutter-transition.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 92c0c7794764d52843ff8ace5155325d1dbf5f78
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 10 18:01:38 2014 +0000

    conform/color: Add more test coverage
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662818

 tests/conform/color.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 33ebe92fdb420dd2620c104e8e2738cf2f4aa9fe
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 10 17:54:06 2014 +0000

    color: Fix documentation of 'hsla()' parsing
    
    The documentation for the s and l components is incorrect; these have to
    be percentage values and must have a '%' character right after the
    number.
    
    Based on a patch by: Pablo Pissanetzky <pablo@trickplay.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662818

 clutter/clutter-color.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2662788bbc0abbf07e303425bff595d3e66d5ce3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 10 17:39:47 2014 +0000

    build: Add -Werror=logical-op
    
    Caught a couple of checks that evaluated to always true.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711540

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit d15760292429ade316b77e689d39d34a40a0ada9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 10 17:39:30 2014 +0000

    timeline: Fix bad logic in check
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711540

 clutter/clutter-timeline.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit dd034cccada9aff4c16cfb98ee14a6017034ee7d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 10 17:39:01 2014 +0000

    x11: Fix bad logic in axis check
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711540

 clutter/x11/clutter-backend-x11.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit a1378e083348588411559173cec2ad182e32e93d
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:   Sun Feb 9 13:28:11 2014 +0100

    Updated Aragonese translation

 po/an.po | 876 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 462 insertions(+), 414 deletions(-)

commit 54ac92bd83d22564cfdb11c73c28a9a5709d0001
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Feb 9 12:33:16 2014 +0100

    [l10n] Updated Italian translation.

 po/it.po | 169 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------
 1 file changed, 99 insertions(+), 70 deletions(-)

commit 33244709169a6de0d85ed38873346a5dd55c6b02
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Feb 9 03:39:40 2014 +0000

    Updated Indonesian translation

 po/id.po | 884 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------
 1 file changed, 469 insertions(+), 415 deletions(-)

commit 9e3b355a70932fb7daa2928ef4dc56bc8e902e01
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Feb 7 01:32:28 2014 +0100

    Updated Galician translations

 po/gl.po | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------
 1 file changed, 81 insertions(+), 57 deletions(-)

commit 419da5f0350ae3f3545ad394bb1e8b2a98a4d5ca
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Feb 3 21:21:48 2014 +0100

    Updated Serbian translation

 po/sr.po       | 892 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 po/sr@latin.po | 892 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 2 files changed, 944 insertions(+), 840 deletions(-)

commit edc155a74d6e96da12289ae0657f44bf71f32d3e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Feb 2 20:05:16 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 912 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 po/zh_TW.po | 912 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 2 files changed, 966 insertions(+), 858 deletions(-)

commit b9bc36e72e9eacb8b480f2a2c78734febb9ce7e1
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sun Feb 2 00:43:18 2014 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 142 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------
 1 file changed, 83 insertions(+), 59 deletions(-)

commit 692f39ad57ea0e1056968e857ffb917c6087c200
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jan 26 17:31:29 2014 +0100

    Updated Czech translation

 po/cs.po | 136 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------
 1 file changed, 80 insertions(+), 56 deletions(-)

commit f6b5a0450781813370eb64908028de1b084a6dd8
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Jan 26 04:33:03 2014 +0200

    Updated Hebrew translation
    
    Signed-off-by: Yosef Or Boczko <yoseforb@src.gnome.org>

 po/he.po | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------
 1 file changed, 81 insertions(+), 57 deletions(-)

commit 0dc4986f666edb067f43f328756df9103d840086
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 24 18:49:18 2014 +0000

    text: Fix the implementation of delete_chars()
    
    The internal delete_text() implementation takes a start and an end
    position, whereas the public delete_chars() method takes a number of
    characters to delete starting from the current cursor position.

 clutter/clutter-text.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2324849fc4aa7d15abdc343f2c5afc3d7f6b4c9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 24 18:49:00 2014 +0000

    conform/text: Add verbose output

 tests/conform/text.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 67e4636f892baab9ebecdd33967b3eeecd0f1766
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 24 18:48:34 2014 +0000

    conform: Re-enable text tests
    
    The ClutterText tests were ported to the new testing API, but they were
    not enabled.

 tests/conform/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c76e63f0c72369bdab3f9530caedc76cc9df3176
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 24 12:10:14 2014 +0000

    build: Fix rules for examples data
    
    Apparenly we need to EXTRA_DIST the image and JSON data.

 doc/cookbook/examples/Makefile.am | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 796c869c13270ca90b132f5f1fcf9edced278241
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 18:17:50 2014 +0100

    Updated Spanish translation

 po/es.po | 144 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------
 1 file changed, 86 insertions(+), 58 deletions(-)

commit 75155b9d9685e093d08b3cf16824ee1f357b9b06
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 23 12:46:51 2014 +0000

    Revert "cookbook: Temporarily disable the scribbler example"
    
    This reverts commit 515a8fcfb50df8981d568e7a075ecb5c94984825.
    
    The exported symbols regexp used by Cogl-Path has been fixed.

 doc/cookbook/examples/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 762e9a05e493ad9e7e14c452e9289344bbae3362
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 23 12:45:48 2014 +0000

    Bump the Cogl dependency
    
    In order to build the cookbook examples, we need a version of Cogl-Path
    that correctly exports all its symbols; this has been fixed in Cogl only
    after the 1.17.2 snapshot was made.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f1ffbd50b79a8eb700bd521524be0c6bfbfe8f98
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 23 12:45:20 2014 +0000

    Post-release version bump to 1.17.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a5b04f58a00f9ef5bfb323c07cb713692e9e1d68
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 23 12:05:17 2014 +0000

    Release Clutter 1.17.2

 NEWS         | 76 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README.in    | 19 +++++++++++++++++++
 configure.ac |  2 +-
 3 files changed, 96 insertions(+), 1 deletion(-)

commit 07efb5d9bbc82742039e2cf95d21b2db41f3866f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 23 12:27:39 2014 +0000

    build: Remove .gitignore on distclean
    
    Fixes distcheck.

 tests/conform/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 773e544c511f38d521a6735e065f0526c2ebe95b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 23 11:30:49 2014 +0000

    settings: Make unscaled-font-dpi override font-dpi
    
    The :unscaled-font-dpi property is used to override the existing
    :font-dpi value when running on high DPI density displays; since it's a
    write-only property we don't need to have a separate storage, nor we
    need to choose between :font-dpi and :unscaled-font-dpi depending on
    whether or not either has been set. If we select which one to use
    between :font-dpi and :unscaled-font-dpi when computing the font
    resolution, we end up breaking the code that relies on changing
    :font-dpi directly on a per-Settings basis.

 clutter/clutter-settings.c | 15 ++-------------
 1 file changed, 2 insertions(+), 13 deletions(-)

commit 696a536b26ea50ab63217e0f3829e7edcc553a4b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 22 01:24:16 2014 +0000

    settings: Add CLUTTER_DPI_SCALE
    
    Like we do for the windowing surfaces, we should have a run time knob
    (in the form of an environment variable) to allow changing the scaling
    factor of the font resolution.

 clutter/clutter-settings.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 30d1e47c4e945990f6ff4f1fa992fb63fe697a6e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 22 01:22:42 2014 +0000

    x11/stage: Store new size on unrealized resize()
    
    If the StageX11 is asked to resize itself while not being realized, then
    we just need to store the new size and return.

 clutter/x11/clutter-stage-x11.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 515a8fcfb50df8981d568e7a075ecb5c94984825
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jan 21 21:12:55 2014 +0000

    cookbook: Temporarily disable the scribbler example
    
    The exported symbols regular expression in cogl-path is broken, and does
    not include cogl_set_path() and cogl_get_path(), which means that we
    cannot link this example. In order to distcheck Clutter, we temporarily
    disable the example, with the intent of reverting this commit once Cogl
    is fixed.

 doc/cookbook/examples/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit 027e1a717f2378a7a9f9b273bec6128cdb984989
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jan 21 21:07:43 2014 +0000

    cookbook: Fix build of the examples
    
    We don't have a tests/data directory any more since the test suites
    reorganization; the cookbook examples, though, rely on the existence of
    the redhand.png image. In order to fix them, we copy the file in the
    examples directory, and we reference it directly. Since we need it for
    the examples, and we install the example code, it's also necessary to
    add the image to the EXTRA_DIST rule.

 doc/cookbook/examples/Makefile.am                       |  15 +++++++++------
 doc/cookbook/examples/animations-rotating.c             |   2 +-
 doc/cookbook/examples/events-mouse-scroll.c             |   2 +-
 doc/cookbook/examples/events-pointer-motion-scribbler.c |   1 +
 doc/cookbook/examples/layouts-bind-constraint-overlay.c |   2 +-
 doc/cookbook/examples/layouts-stacking.c                |   2 +-
 doc/cookbook/examples/redhand.png                       | Bin 0 -> 8250 bytes
 doc/cookbook/examples/textures-reflection.c             |   2 +-
 8 files changed, 15 insertions(+), 11 deletions(-)

commit e20c8dede6ced7d6bd260ea72328f58577279c2a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 17 12:07:58 2014 +0000

    docs: Update the test-related documentation
    
    The test suite layout and usage have been changed, so the documentation
    needs to be updated to reflect the change.

 README.in    |  4 ++--
 tests/README | 18 ++++++++----------
 2 files changed, 10 insertions(+), 12 deletions(-)

commit 857f53f42d4a7a14f7035c7055b532e3d6d4f64d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 17 11:03:15 2014 +0000

    canvas: Add scale-factor property
    
    We need to provide an escape hatch to ClutterCanvas so that it's
    possible to override the window-scaling-factor ClutterSetting. This is
    going to be useful in the future in case the user has better knowledge
    of the window scaling factor that is going to be used with a specific
    set of ClutterCanvas contents (e.g. on different outputs or stages).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/clutter-canvas.c                   | 151 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 clutter/clutter-canvas.h                   |   5 +++++
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-sections.txt |   2 ++
 4 files changed, 157 insertions(+), 3 deletions(-)

commit c1d6194d24ba04ebb8fe15aacea5017f8b49ce37
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 16 12:24:57 2014 +0000

    canvas: Use the window-scaling-factor setting
    
    ClutterCanvas is a ClutterContent interface implementation; this means
    that it can be created and modified regardless of whether it is
    associated to a specific actor or a stage. For this reason, we cannot
    walk the hierarchy and get the window scaling factor for high DPI
    density displays out of the ClutterStage when we create the Cairo
    surface that we will use to draw the canvas contents on.
    
    We can use ClutterSettings:window-scaling-factor instead, since it's
    what each ClutterStage will use anyway.
    
    This will get slightly more complicated when we support per-output
    window scaling factors (like on Wayland), but that will require changes
    in the entire settings architecture anyway.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/clutter-canvas.c | 32 ++++++++++++++++++++++++++------
 1 file changed, 26 insertions(+), 6 deletions(-)

commit ed0633468f43c8821d24cd4a24c3cbab6d6840d3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 16 12:24:05 2014 +0000

    settings: Remove explicit stage scaling factor update
    
    We can rely on the window-scaling-factor property notification instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/clutter-settings.c | 21 +--------------------
 1 file changed, 1 insertion(+), 20 deletions(-)

commit c1c59bd898e1eb2e2643d6f19bc8bd6413fad70e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 16 12:20:36 2014 +0000

    x11/stage: Resize on window-scaling-factor changes
    
    If we get a change in the window scaling factor we want to resize the
    backing store of each stage, so we use the notification on the
    ClutterSettings:window-scaling-factor property to do so.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/x11/clutter-stage-x11.c | 31 ++++++++++++++++++++++++++-----
 1 file changed, 26 insertions(+), 5 deletions(-)

commit 2c8a19b8c1cec4bfdaa48a8a746209165c52479f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 16 12:13:29 2014 +0000

    x11/stage: Remove CLUTTER_SCALE handling
    
    Use the ClutterSettings:window-scaling-factor property instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/x11/clutter-stage-x11.c | 23 +++++------------------
 clutter/x11/clutter-stage-x11.h |  1 -
 2 files changed, 5 insertions(+), 19 deletions(-)

commit afd87abb702ccb08fc23ca23de2e10afbae11e8e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 16 12:11:22 2014 +0000

    settings: Handle window scaling factor internally
    
    We want the settings object to handle setting and getting the
    window scaling factor value, both through backend-specific settings and
    through the CLUTTER_SCALE environment variable. This means turning the
    ClutterSettings:window-scaling-factor property into a readwrite one,
    instead of write-only, so that ClutterStage implementations will be able
    to query the window scaling factor on construction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/clutter-settings.c | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

commit b7b09bd0ce4c96972fb9570555cc24d219089f98
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 16 12:08:09 2014 +0000

    Check for cairo_surface_set_device_scale()
    
    Like gtk+, we don't want to bump the dependency of Clutter for that
    function alone.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 configure.ac | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 69eb2e5f3b9be7c73013dcaefd46668787e2bb30
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 14 11:28:39 2013 +0100

    settings: Add window scaling related settings
    
    We share two settings with GDK, so we can pick the window scaling factor
    and the unscaled font resolution when we initialize Clutter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705915

 clutter/clutter-settings.c         | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 clutter/x11/clutter-settings-x11.h |  2 ++
 2 files changed, 74 insertions(+), 6 deletions(-)

commit 33316ce168e7d6b51407ffedad7b0249611f1fce
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 15 16:39:35 2014 +0000

    stage: Check coordinate validity in do_pick()
    
    We do some argument validation inside _clutter_stage_do_pick(), which is
    the internal version of clutter_stage_get_actor_at_pos(), but we don't
    do coordinate space validation, and instead we rely on call sites doing
    the right thing.
    
    We should, instead, remove the argument validation from the internal
    function, which is pointless and against the coding practices, but do
    coordinate space validation internally.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722322

 clutter/clutter-stage.c | 42 ++++++++++++++++++++----------------------
 1 file changed, 20 insertions(+), 22 deletions(-)

commit da66dd01ef07a2d89df5de224069ded8d7e248a6
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Jan 17 19:04:25 2014 +0100

    Updated Czech translation

 po/cs.po | 1366 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 695 insertions(+), 671 deletions(-)

commit cadbeceff0a729cdeafd84db237ed44ad782e820
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Thu Jan 16 18:04:22 2014 +0100

    clutter-text: emitting ClutterText::insert-text before actual changes on the text
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722220

 clutter/clutter-text.c | 38 ++++++++++++++++++++++++++++++--------
 1 file changed, 30 insertions(+), 8 deletions(-)

commit bbc7d20f5ecff80f4000557b976e3153f6286252
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Thu Jan 16 17:39:02 2014 +0100

    clutter-text: emitting ClutterText::delete-text before actual changes on the text
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722220

 clutter/clutter-text.c | 29 +++++++++++++++++++++++++----
 1 file changed, 25 insertions(+), 4 deletions(-)

commit c681e901e4516ea2ceafd7f5c491e3bce7d82e2f
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Tue Jan 14 18:43:48 2014 +0100

    a11y: compute properly if there is text selected
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722188

 clutter/cally/cally-text.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 4f5698199f3971006f025ae81e691786aeecb60f
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Jan 13 10:19:29 2014 +0200

    Updated Greek translation

 po/el.po | 1376 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------
 1 file changed, 701 insertions(+), 675 deletions(-)

commit f3172d25c334e1572eb6feed29b2717b9ca7c9f8
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:   Mon Jan 13 09:01:49 2014 +0200

    Updated Hebrew translation

 po/he.po | 756 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 1 file changed, 390 insertions(+), 366 deletions(-)

commit 9104c72677376d4df152e50e372477de40bba6ae
Author: Sphinx Jiang <yishanj13@gmail.com>
Date:   Thu Jan 2 09:54:17 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 2970 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------
 1 file changed, 1785 insertions(+), 1185 deletions(-)

commit 813892c7f1a6e511c95830782afbf95213606917
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Dec 27 00:04:21 2013 -0200

    Updated Brazilian Portuguese translation (what is going on? :| )

 po/pt_BR.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 498a8c938787763d59bc1711df2df6d7ae3089a6
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Dec 27 00:01:12 2013 -0200

    Updated Brazilian Portuguese translation (fixed something from previous commit)

 po/pt_BR.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 6b83d849fcdc22634e6495fe573d9a68a25b0870
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Dec 26 23:53:11 2013 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 833 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 428 insertions(+), 405 deletions(-)

commit dc39b295bb20e86d1a2d8fe8126f339236f77d22
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Dec 19 01:44:37 2013 +0100

    Updated Galician translations

 po/gl.po | 1364 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 694 insertions(+), 670 deletions(-)

commit 74c01cdd0fbdd0c0423c9ce91337c94c090902f7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Dec 16 09:27:41 2013 +0800

    Visual C++ Projects: Don't build conformance tests
    
    ...and drop these project files, as the way how the conformance
    tests are built has been totally reworked.  Instead, in the future,
    use NMake Makefiles to build them, which will be proposed later.

 build/win32/vs10/Makefile.am                                |   4 ----
 build/win32/vs10/clutter.sln                                |  18 ------------------
 build/win32/vs10/install.vcxproj                            |   4 ----
 build/win32/vs10/test-conformance-clutter.vcxproj.filtersin |  12 ------------
 build/win32/vs10/test-conformance-clutter.vcxprojin         | 168 ------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 build/win32/vs9/Makefile.am                                 |   2 --
 build/win32/vs9/clutter.sln                                 |  22 ----------------------
 build/win32/vs9/test-conformance-clutter.vcprojin           | 161 -----------------------------------------------------------------------------------------------------------------------------------------------------------------
 8 files changed, 391 deletions(-)

commit ad39d3d1aedf842b1c7d98a677e36d4e0f7a0df6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 12 18:50:24 2013 +0000

    Make abicheck.sh output TAP
    
    So that we can run it under the TAP harness like the rest of the
    conformance test suite.

 .gitignore          |  7 +++++--
 clutter/Makefile.am |  1 +
 clutter/abicheck.sh | 18 +++++++++++++++++-
 3 files changed, 23 insertions(+), 3 deletions(-)

commit b4044292d30ea36c89557111ef64198271215447
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 12 18:32:37 2013 +0000

    build: Ignore *.test files
    
    Generated when enabling installed tests.

 tests/conform/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit b1eb412c2307c6eb31792ed1b387bdcf04fd027f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 12 18:11:03 2013 +0000

    tests: Use an internal setter for disabling vblank sync
    
    Instead of using g_setenv().

 clutter/clutter-main.c       | 6 ++++++
 clutter/clutter-private.h    | 1 +
 clutter/clutter-test-utils.c | 8 ++++----
 3 files changed, 11 insertions(+), 4 deletions(-)

commit 526d0ea884434a6d9f53af7435547426f0dd90b1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 12 15:05:16 2013 +0000

    conformance: Add more tests
    
    Add back some deprecated and general purpose API tests. These are the
    ones that were written already pretty much conforming to the GTest API
    and style, and thus require minimal porting.

 tests/conform/Makefile.am     |  33 +++++++++++++++++++++++++++++++++
 tests/conform/animator.c      |  51 +++++++++++++++++++++++++--------------------------
 tests/conform/behaviours.c    |  64 +++++++++++++++++++++++++++-------------------------------------
 tests/conform/binding-pool.c  |  92 ++++++++++++++++++++++++++++++++++++++++----------------------------------------------------
 tests/conform/color.c         | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------
 tests/conform/events-touch.c  |  13 ++++++-------
 tests/conform/group.c         |  11 +++++++----
 tests/conform/interval.c      |  63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 tests/conform/model.c         |  43 ++++++++++++++++++++++---------------------
 tests/conform/rectangle.c     |  23 +++++++++--------------
 tests/conform/script-parser.c | 142 +++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 tests/conform/text.c          |  69 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------
 tests/conform/texture.c       |  21 ++++++++-------------
 tests/conform/units.c         |  24 ++++++++++++------------
 14 files changed, 420 insertions(+), 387 deletions(-)

commit 7ec337f26f242db18039c67c5e0b046f818434cc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 12 14:51:00 2013 +0000

    conformance: Add actor tests
    
    Port the ClutterActor tests to the test API, and ensure they run under
    the new TAP harness.

 tests/conform/Makefile.am                      |  13 ++++++++++
 tests/conform/actor-anchors.c                  |  53 ++++++++++++++++++++++++++++++++++-------
 tests/conform/actor-destroy.c                  |  17 ++++++++++++--
 tests/conform/actor-graph.c                    | 119 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------
 tests/conform/actor-invariants.c               | 206 +++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------------------
 tests/conform/actor-iter.c                     |  22 +++++++++--------
 tests/conform/actor-layout.c                   | 239 +++++++++++++++++++++-------------------------------------------------------------------------------------------------------------------------------------------------------------------
 tests/conform/actor-meta.c                     |  15 ++++++------
 tests/conform/actor-offscreen-limit-max-size.c | 128 +++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------
 tests/conform/actor-offscreen-redirect.c       |  25 +++++++++-----------
 tests/conform/actor-paint-opacity.c            |  43 +++++++++++++++++----------------
 tests/conform/actor-pick.c                     |  40 +++++++++++++++----------------
 tests/conform/actor-shader-effect.c            |  41 +++++++++++++++++++++-----------
 tests/conform/actor-size.c                     |  13 ++++++----
 14 files changed, 412 insertions(+), 562 deletions(-)

commit 2a660fa298702111c192a7b51e2120799c9393de
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 12 14:36:16 2013 +0000

    Fully rework the conformance test suite
    
    The current conformance test suite is suboptimal in many ways.
    
    All tests are built into the same binary, which makes adding new tests,
    builting tests, and running groups of tests much more awkward than it
    needs to be. The first issue, especially, raises the bar of contribution
    in a significant way, while the other two take their toll on the
    maintainer. All of these changes were introduced back when we had both
    Clutter and Cogl tests in tree, and because we were building the test
    suite for every single change; since then, Cogl moved out of tree with
    all its tests, and we build the conformance test suite only when running
    the `check` make target.
    
    This admittedly large-ish commit changes the way the conformance test
    suite works, taking advantage of the changes in the GTest API and test
    harness.
    
    First of all, all tests are now built separately, using their own test
    suite as defined by each separate file. All tests run under the TAP
    harness provided by GTest and Automake, to gather a proper report using
    the Test Anything Protocol without using the `gtester` harness and the
    `gtester-report` script. We also use the Makefile rules provided by GLib
    to vastly simplify the build environment for the conformance test suite.
    
    On top of the changes for the build and harness, we also provide new API
    for creating and running test suites for Clutter. The API is public,
    because the test suite has to use it, but it's minimal and mostly
    provides convenience wrappers around GTest that make writing test units
    for Clutter easier.
    
    This commit disables all tests in the conformance test suite, as well as
    moving the data files outside of the tests/data directory; the next few
    commits will re-establish the conformance test suite separately so we
    can check that everything works in a reliable way.

 Makefile.am                                                       |   6 +-
 build/autotools/Makefile.am                                       |   4 ++
 build/autotools/glib-tap.mk                                       | 134 ++++++++++++++++++++++++++++++++++
 build/autotools/glibtests.m4                                      |  28 ++++++++
 build/autotools/tap-driver.sh                                     | 652 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 build/autotools/tap-test                                          |   5 ++
 clutter/Makefile.am                                               |   2 +
 clutter/clutter-test-utils.c                                      | 422 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-test-utils.h                                      | 164 ++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter.h                                                 |   1 +
 clutter/clutter.symbols                                           |   8 +++
 configure.ac                                                      |  24 ++-----
 examples/Makefile.am                                              |   3 +-
 examples/bin-layout.c                                             |   2 +-
 examples/image-content.c                                          |   2 +-
 examples/pan-action.c                                             |   2 +-
 {tests/data => examples}/redhand.png                              | Bin
 tests/Makefile.am                                                 |   4 +-
 tests/{data => }/clutter-1.0.suppressions                         |   0
 tests/conform/ADDING_NEW_TESTS                                    |  65 -----------------
 tests/conform/Makefile.am                                         | 345 ++++++++++-----------------------------------------------------------------------------
 tests/conform/run-tests.sh                                        |  12 ----
 tests/{data => conform/scripts}/test-animator-1.json              |   0
 tests/{data => conform/scripts}/test-animator-2.json              |   0
 tests/{data => conform/scripts}/test-animator-3.json              |   0
 tests/{data => conform/scripts}/test-script-animation.json        |   0
 tests/{data => conform/scripts}/test-script-child.json            |   0
 tests/{data => conform/scripts}/test-script-implicit-alpha.json   |   0
 tests/{data => conform/scripts}/test-script-interval.json         |   0
 tests/{data => conform/scripts}/test-script-layout-property.json  |   0
 tests/{data => conform/scripts}/test-script-margin.json           |   0
 tests/{data => conform/scripts}/test-script-model.json            |   0
 tests/{data => conform/scripts}/test-script-named-object.json     |   0
 tests/{data => conform/scripts}/test-script-object-property.json  |   0
 tests/{data => conform/scripts}/test-script-single.json           |   0
 tests/{data => conform/scripts}/test-script-timeline-markers.json |   0
 tests/{data => conform/scripts}/test-state-1.json                 |   0
 tests/conform/test-conform-common.c                               | 105 ---------------------------
 tests/conform/test-conform-common.h                               |  52 --------------
 tests/conform/test-conform-main.c                                 | 217 -------------------------------------------------------
 tests/conform/test-launcher.sh.in                                 |  25 -------
 tests/data/Makefile.am                                            |  39 ----------
 tests/data/light0.png                                             | Bin 5674 -> 0 bytes
 tests/data/redhand_alpha.png                                      | Bin 4539 -> 0 bytes
 tests/interactive/Makefile.am                                     |   9 ++-
 tests/interactive/redhand.png                                     | Bin 0 -> 8250 bytes
 tests/{data => interactive}/test-script-signals.json              |   0
 tests/{data => interactive}/test-script.json                      |   0
 tests/interactive/test-state-script.c                             |   2 +-
 49 files changed, 1476 insertions(+), 858 deletions(-)

commit cee38c167281a349297daf8d700c6ef793c499a8
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Dec 12 09:36:01 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 1365 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------
 1 file changed, 695 insertions(+), 670 deletions(-)

commit d4aed66821b5f2a040b40895dfbdca507e96bf7a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Nov 27 21:32:59 2013 +0000

    Check for cogl-path as a separate package
    
    In Cogl 1.17 libcogl-path has been split out from libcogl and now has
    its own corresponding cogl-path-1.0 pkg-config file which we check for
    during build configuration.
    
    Note: this bumps the required cogl version up to 1.17.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af446a68033bd3811017bd4c49f2199fa7c2f7fe
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 9 16:05:11 2013 +0100

    Updated Spanish translation

 po/es.po | 1375 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------
 1 file changed, 701 insertions(+), 674 deletions(-)

commit ed2fdf85f6f30452531722dbfd045298b6359458
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 5 14:04:10 2013 +0000

    gesture: Make threshold-trigger-edge public
    
    When the threshold-trigger-edge property was introduced in
    GestureAction, it was late in the cycle and I elected to keep it
    private, given the fact that nobody was subclassing GestureAction
    outside of Clutter itself.
    
    These days, people are experimenting more with the GestureAction API, so
    they will need access to the various knobs that control the class
    default behaviour.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710227

 clutter/clutter-enums.h                    |  23 +++++++++++++++++++++++
 clutter/clutter-gesture-action-private.h   |  28 ----------------------------
 clutter/clutter-gesture-action.c           | 107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------
 clutter/clutter-gesture-action.h           |   6 ++++++
 clutter/clutter.symbols                    |   3 +++
 doc/reference/clutter/clutter-sections.txt |   2 ++
 6 files changed, 107 insertions(+), 62 deletions(-)

commit b0227644ffe3e857784fa09f5c1d4d5edfac1915
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Oct 15 18:24:31 2013 +0100

    gesture-action: set default edge value to NONE to restore initial behavior
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710229
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710227

 clutter/clutter-gesture-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8cb326dc54e7b4abe33bf88874203d9e2729ec2b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 5 11:51:07 2013 +0000

    Explicitly set the trigger edge in GestureAction subclasses
    
    Each GestureAction subclass has its own trigger edge handling, so we
    want to be resilient in case of changes in the super-class.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710227

 clutter/clutter-pan-action.c    | 6 ++++++
 clutter/clutter-rotate-action.c | 7 ++++++-
 clutter/clutter-swipe-action.c  | 4 ++++
 clutter/clutter-zoom-action.c   | 7 ++++++-
 4 files changed, 22 insertions(+), 2 deletions(-)

commit 154ca6ef99655e1b8187176076b42ccd5cd01c52
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 5 11:49:53 2013 +0000

    gesture: Clean up trigger edge accessors
    
    Use G_GNUC_INTERNAL instead of the leading underscore, as we may make
    the accessor functions public at some point. Also, clean up the
    documentation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710227

 clutter/clutter-gesture-action-private.h | 18 +++++++++---------
 clutter/clutter-gesture-action.c         | 26 ++++++++++++++++++++------
 clutter/clutter-tap-action.c             |  4 ++--
 3 files changed, 31 insertions(+), 17 deletions(-)

commit 97724939c8de004d7fa230f3ff64862d957f93a9
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Oct 15 18:23:46 2013 +0100

    gesture-action: fix memory corruption
    
    abcf1d589f29ba7914d5648bb9814ad26c13cd83 introduced a crasher because
    the 'point' variable points to a piece of memory that is being
    reallocated by the begin_gesture (by a g_array_set_size) call 5 lines
    before.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710227

 clutter/clutter-gesture-action.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit cbb9d1e0629f4aa2955291a509d3fba6880b73b9
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Wed Dec 4 23:54:27 2013 -0500

    ClutterStageCogl: Ignore a clip the size of the stage
    
    If the clip region includes the entire stage, ignore it - we aren't
    actually clipped.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719901

 clutter/cogl/clutter-stage-cogl.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 97dcb108d09b1b40a0444ab09a6e659287d52d0c
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Thu Dec 5 07:57:17 2013 -0500

    ClutterStageCogl: Clip in the right coordinate system
    
    Our clip coordinates are relative to the stage, not model-view
    transformed. cogl_framebuffer_push_rectangle_clip() was accidentally
    used instead of cogl_framebuffer_push_scissor_clip() when porting
    to the framebuffer clip API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719900

 clutter/cogl/clutter-stage-cogl.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a2551dfa602f938b168fdf23fb4d2fcef4f1d892
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Dec 3 00:32:14 2013 -0500

    ClutterStage: Don't add empty actors to the stage clip
    
    Currently, if an actor with an empty paint volume is queued for redraw, it
    will union in the box +0+0x1x1 to the stage clip bounds - avoid that
    by special casing empty paint volumes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719747

 clutter/clutter-stage.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3fdee4efe9689f1eeac53ef5667dc998b40243ab
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 4 16:09:09 2013 +0000

    docs: Fix syntax errors in annotations

 clutter/clutter-actor-box.c | 2 +-
 clutter/clutter-actor.c     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1d7f3260a6a7c375d1214e6205f2356b2df0b976
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 4 16:02:41 2013 +0000

    conform: Run texture tests only on -m=slow
    
    I don't want to remove them altogether, but they need to be ported to a
    more reliable system, otherwise they end up failing at random depending
    on the whims of the compositor and the windowing system.

 tests/conform/test-conform-main.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a64742f3e4cadf754405be274b4ca0a6750c410e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 3 12:50:39 2013 +0000

    paint-node: Get the framebuffer from the root node
    
    The PaintNode hierarchy should have the ability to retrieve the
    current active framebuffer by itself, instead of asking Cogl using the
    global state API.
    
    In order to do this, we ask the root node of a PaintNode graph for the
    active framebuffer. In the current, 1.x-compatibility mode we have two
    potential root node types: ClutterRootNode, used by ClutterStage; and
    ClutterDummyNode, used a local root for each actor. The former takes a
    framebuffer as part of its construction; the latter takes the actor that
    acts as the local top-level during the actor's paint sequence, which
    means we can get the active framebuffer from the stage associated to the
    actor.
    
    By keeping track of the active framebuffer on the node themselves we can
    drop the usage of cogl_get_draw_framebuffer() in their implementation.

 clutter/clutter-paint-node-private.h |  4 ++++
 clutter/clutter-paint-node.c         | 28 ++++++++++++++++++++++++++++
 clutter/clutter-paint-nodes.c        | 42 ++++++++++++++++++++++++++++++++----------
 3 files changed, 64 insertions(+), 10 deletions(-)

commit e619de20d83cbd072125e52247fbbaf4841dea41
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 3 13:01:52 2013 +0000

    text: Add a hacky fallback for the framebuffer
    
    The text-cache conformance test breaks because ClutterText gets a paint
    without an active framebuffer associated to the ClutterStage. Keep a
    fallback while we investigate the issue.

 clutter/clutter-text.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 705640367a5c2ae21405806bfadbf56214b23f0f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 3 12:12:52 2013 +0000

    Use the non-deprecated Cogl clipping API
    
    Cogl 1.18 deprecated the global clipping API in favour of the
    per-framebuffer one, but since we're using the 2.0 API internally we
    don't have access to the deprecated symbols any more.
    
    This is pretty much a mechanical port for all the places where we're
    still using the old 1.x API.

 clutter/clutter-actor.c           | 39 +++++++++++++++++++++++++--------------
 clutter/clutter-paint-nodes.c     | 14 +++++++++-----
 clutter/clutter-stage.c           |  7 ++++---
 clutter/clutter-text.c            | 44 +++++++++++++++++++++++---------------------
 clutter/cogl/clutter-stage-cogl.c | 13 ++++++++-----
 5 files changed, 69 insertions(+), 48 deletions(-)

commit 1b45841414ad92a63ace2d7376a6682d39d9b20c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 3 12:11:43 2013 +0000

    actor: Add private getter for the active framebuffer
    
    Instead of asking every internal user to get the stage and get the
    active framebuffer from it, we can wrap it up ourselves, and do some
    sanity checks as well.

 clutter/clutter-actor-private.h |  2 ++
 clutter/clutter-actor.c         | 26 ++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

commit 00ef6e29ce68495dc9f10de680f020d7b46d6e6c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Dec 2 19:13:55 2013 +0000

    Make test-clip friendly for people with only one mouse button
    
    The various shapes can now be drawn by holding down modifier keys
    instead of requiring a three-button mouse.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719716

 tests/interactive/test-clip.c | 32 ++++++++++++++++++++++++++------
 1 file changed, 26 insertions(+), 6 deletions(-)

commit 992f2ca7b58a9164b8a77e962d37b315947bace2
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Nov 29 15:43:45 2013 +0000

    input-device: Guard against double free
    
    Dispose() may be called more than once, so calling g_free directly
    on the device name is unsafe. Instead, use g_clear_pointer() to
    make sure we don't attempt to free the memory again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719563

 clutter/clutter-input-device.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e85269368a815435f107f1b7dfbc15c7e806fa6
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Nov 26 11:04:27 2013 -0500

    Don't queue redraws when reallocating actor that haven't moved
    
    When support for implicit animation of actor position was added,
    the optimization for not queueing when allocating an actor back
    to the same location was lost. This optimization is important
    since when we are hierarchically allocating down from the top of
    the stage we constantly reallocate the actors at the top of the
    hierarchy back to the same place.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719368

 clutter/clutter-actor.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 0b536c02f97d7adfa8c4af4a4214f02d4ac9f716
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Fri Nov 22 10:30:21 2013 -0500

    Bind constraints: Don't force redraws on source relayout
    
    When the source actor potentially changes size, that shouldn't
    necessarily result in the target actor being redrawn - it should
    be like when a child of a container is reallocated due to changes
    in its siblings or parent - it should redraw only to the extent
    that it is moved and resized. Privately export an internal function
    from clutter-actor.c to allow getting this right.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719367

 clutter/clutter-actor-private.h   | 1 +
 clutter/clutter-actor.c           | 4 +---
 clutter/clutter-bind-constraint.c | 2 +-
 clutter/clutter-snap-constraint.c | 2 +-
 4 files changed, 4 insertions(+), 5 deletions(-)

commit 3cd9a70fea1ccf795419a1726c7c279b0aaf237e
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Nov 19 17:02:58 2013 +0100

    device-manager-evdev: Stop using deprecated libevdev API
    
    Fixes compiler warnings with libevdev >= 0.4 and makes use of a new
    function to set the clock id instead of doing the ioctl directly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712816

 README.in                                    |  2 +-
 clutter/evdev/clutter-device-manager-evdev.c | 16 +++++++---------
 configure.ac                                 |  4 +++-
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 05e6bcc666e345ed4619c1a40a298212d1075b99
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Nov 21 14:51:26 2013 +0100

    device-manager-evdev: Fix a segfault on device removal
    
    Master devices have a NULL sysfs path so use g_strcmp0 to handle them
    without crashing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712812

 clutter/evdev/clutter-device-manager-evdev.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 7d8f72a60e4087a4d9e48d3f0e38b669b3717243
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Nov 21 14:50:40 2013 +0100

    device-manager-evdev: Unref devices on removal
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712812

 clutter/evdev/clutter-device-manager-evdev.c | 2 ++
 1 file changed, 2 insertions(+)

commit ce1f8f1dd027302e58aa2a58430eac1794f7e124
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Nov 21 14:48:40 2013 +0100

    device-manager-xi2: Fix device instances leaking on removal
    
    Don't add an extra reference when adding to the devices hash table. We
    already own the initial reference.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712812

 clutter/x11/clutter-device-manager-xi2.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18b9384e66c3af2de56eba85f4e688967c99b5ff
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Nov 21 14:48:00 2013 +0100

    input-device: Fix a GArray leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712812

 clutter/clutter-input-device.c | 1 +
 1 file changed, 1 insertion(+)

commit 507d8b1cef4dfbe9489b44ff3f68cd9265c9ddf6
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Nov 21 16:23:00 2013 +0100

    input-device: Use g_clear_pointer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712812

 clutter/clutter-input-device.c | 20 +++-----------------
 1 file changed, 3 insertions(+), 17 deletions(-)

commit 1d11cc324e8ce1741528c61af92ca27e9f4bcfa0
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Nov 21 14:46:04 2013 +0100

    device-manager: Don't emit device-removed with a finalized instance
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712812

 clutter/clutter-device-manager.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 45f30d221fda106c640aba69fa020dec365e57e4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Nov 21 00:25:37 2013 +0000

    New release cycle, new interface age

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 492291d62979e68f964227bf224b89efc10574db
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Nov 21 00:25:28 2013 +0000

    Bump up the dependency on Cogl

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09c06d08ca82154868ac13ff656d7f8219c9fefd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Nov 19 16:38:28 2013 +0000

    docs: Remove mentions of XFixes dependency
    
    Clutter does not use nor depend on XFixes any more.

 README.in    | 1 -
 README.md    | 1 -
 configure.ac | 2 --
 3 files changed, 4 deletions(-)

commit 6dee60a7dbbbbbcd0c0ed897da029f40c539c616
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Nov 21 01:01:47 2013 +0100

    Updated POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a427c120c239a471024375277d5e03e9b8863835
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 18 00:18:32 2013 -0500

    stage: Remove the pick buffer caching
    
    Since the journal is flushed on context switches, trying to use a cached
    buffer means that we will use glReadPixels when picking, which isn't what
    we want. Instead, always use a clipped draw, and remove the logic for
    caching the pick buffer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712563

 clutter/clutter-stage.c | 125 +++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 15 insertions(+), 110 deletions(-)

commit 9082ccc30bfd7cf8e94f696013a10b817021b7dc
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 18 00:15:48 2013 -0500

    stage: Fix indentation in pick methods
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712563

 clutter/clutter-stage.c | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 7af55d23e4a24689eba6e3f994e7b96b7495c614
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Nov 19 00:26:37 2013 +0000

    Deprecate ClutterTableLayout
    
    The table layout manager has various issues:
    
      • no support for RTL flipping
      • most of the layout API is legacy, and has been replaced by the
        alignment and expansion flags on ClutterActor
      • the animation API is legacy, and has been replaced by the
        implicitly animatable allocation
      • the spanning cells handling is a bit awkward, as is its API
    
    On top of that, we imported the grid layout management policy from GTK+
    into ClutterGridLayout, which provides all the required features in a
    more well-designed API.
    
    Instead of wasting time and resources updating TableLayout, we should
    deprecate it and point developers of the GridLayout.

 clutter/Makefile.am                             |  4 ++--
 clutter/clutter-deprecated.h                    |  1 +
 clutter/clutter.h                               |  1 -
 clutter/{ => deprecated}/clutter-table-layout.c | 30 ++++++++++++++++++++++++++++++
 clutter/{ => deprecated}/clutter-table-layout.h | 15 +++++++++++++++
 doc/reference/clutter/clutter-docs.xml.in       |  4 ++--
 6 files changed, 50 insertions(+), 5 deletions(-)

commit 56b579248e0d3db56c258cc8a40c28f1e266d778
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Nov 19 00:31:46 2013 +0000

    Update symbols file

 clutter/clutter.symbols | 2 ++
 1 file changed, 2 insertions(+)

commit 70292672c4381c3039bd88255c4f57d45e142599
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Aug 29 17:10:56 2013 +0100

    Add API to install an event filter
    
    This adds clutter_event_add/remove_filter which adds a callback
    function which will receive all Clutter events just before the event
    signal is emitted for them. The event filter will be invoked
    regardless of any grabs or captures. This will be used by Mutter which
    wants to access the events at a lower level then the event bubbling
    mechanism. It needs to see all mouse motion events even if there is a
    grab in place.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707560

 clutter/clutter-event-private.h            |   2 ++
 clutter/clutter-event.c                    | 106 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.h                    |  26 ++++++++++++++++++++++++++
 clutter/clutter-main.c                     |  22 +++++++++++++++++++++-
 clutter/clutter-private.h                  |   4 ++++
 doc/reference/clutter/clutter-sections.txt |   3 +++
 6 files changed, 162 insertions(+), 1 deletion(-)

commit c2b0b9aace969ecb19e703c8d53d157eb1072559
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Nov 12 15:10:22 2013 -0500

    input-device-xi2: Calculate the correct state for button events
    
    The state that the X server sends for button events, by specification,
    contains the button state before the event. We need to synthesize in
    the result of the event in order to determine what the current button
    state is.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712322

 clutter/x11/clutter-input-device-xi2.c | 63 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 38 insertions(+), 25 deletions(-)

commit 0fda81feabed58cf285ba313b393c9f24412b648
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Aug 29 13:14:13 2013 -0400

    Remove use of XFixes for showing/hiding the cursor
    
    XFixesShowCursor / XFixesHideCursor does not actually take the suppled
    window argument into account -- the effect is actually global. Use
    XDefineCursor instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707071

 clutter/config.h.win32.in       |  3 ---
 clutter/x11/clutter-stage-x11.c | 38 --------------------------------------
 clutter/x11/clutter-stage-x11.h |  1 -
 configure.ac                    | 16 ----------------
 4 files changed, 58 deletions(-)

commit 98e03fc03f1a688995b4b568ddd3ad2283fefd4d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Oct 7 12:13:41 2013 -0400

    device-manager-xi2: Clamp coordinates of events to the stage coordinates
    
    The X server can sometimes send us coordinates in the negatives or above
    our window in extreme cases. Ensure that the user never sees this.

 clutter/x11/clutter-device-manager-xi2.c | 41 +++++++++++++++++++----------------------
 1 file changed, 19 insertions(+), 22 deletions(-)

commit 1de024b5fa84a40af04b0305e4d985644daf9f1c
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Oct 7 11:56:15 2013 -0400

    device-manager-xi2: Don't divide by the scale factor twice
    
    The coordinates we pass into translate_axes are already scaled.

 clutter/x11/clutter-device-manager-xi2.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit 354c3c79779181a8c1931c2fa2ef027efce3409c
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu Nov 7 17:26:28 2013 +0100

    interval: Call g_object_set_property in set_custom_property()
    
    Otherwise it would prevent potential subclasses of ClutterInterval from
    having own scriptable properties.

 clutter/clutter-interval.c | 2 ++
 1 file changed, 2 insertions(+)

commit e56785501b5cd5bf12b4d14b98718851fafbe740
Author: Bastian Winkler <buz@netbuz.org>
Date:   Fri Jan 18 10:55:59 2013 +0200

    interval: Implement ClutterScriptable interface
    
    This allows the creation of ClutterTransition objects in ClutterScript:
     {
       "id" : "scripted-transition",
       "type" : "ClutterPropertyTransition",
       "property-name" : "background-color",
       "interval" : {
         "type" : "ClutterInterval",
         "value-type" : "ClutterColor",
         "initial" : "red",
         "final" : "blue"
       }
     }

 clutter/clutter-interval.c           | 50 +++++++++++++++++++++++++++++++++++++++++++++++++-
 tests/conform/script-parser.c        | 35 +++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c    |  1 +
 tests/data/Makefile.am               |  1 +
 tests/data/test-script-interval.json | 16 ++++++++++++++++
 5 files changed, 102 insertions(+), 1 deletion(-)

commit 46c22de01e9981d71044128a7bbef07777362b10
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Sep 18 23:19:39 2013 -0400

    stage: Destroy all children when we dispose
    
    Destroying an actor is supposed to destroy all of its children, so
    it makes sense to reason that destroying the stage should destroy all
    of its children, too.
    
    Unfortunately, it seems that the stage removed all of its children
    without destroying them before chaining up to what would destroy all
    of its children, for whatever reason. Change this to a destroy so
    resources get cleaned up.

 clutter/clutter-stage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f70eee07483389733981df710ab1a1b80fee620d
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed Oct 9 18:39:59 2013 +0100

    drag-action: don't mix touch and pointer events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709762

 clutter/clutter-drag-action.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 7c2b88f73b378575536dfafcb979a01a183328e6
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Sat Oct 5 22:58:19 2013 +0900

    wayland: Implement support for 'cursor-visible' stage property
    
    This will allow clutter Wayland clients to either not draw any pointer
    cursor or draw its own.
    
    Signed-off-by: Jonas Ådahl <jadahl@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709590

 clutter/wayland/clutter-backend-wayland-priv.h |  2 ++
 clutter/wayland/clutter-backend-wayland.c      |  9 ++-------
 clutter/wayland/clutter-input-device-wayland.c | 58 +++++++++++++++++++++++++++++++++++-----------------------
 clutter/wayland/clutter-stage-wayland.c        | 11 +++++++++++
 clutter/wayland/clutter-stage-wayland.h        |  1 +
 5 files changed, 51 insertions(+), 30 deletions(-)

commit ef7ad913dafdeec4760dc4a53a166c0a0efe2e21
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Nov 14 18:34:28 2013 +0000

    Bump up version to 1.17.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bceca34ef9948ed1d0f3c1ee6793d8c97b291ac1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 10 13:37:11 2013 +0100

    paint-nodes: Clarify color handling for TextureNode
    
    The TextureNode premultiplies the blend color passed to the node
    constructor, so we need to document the fact properly to avoid
    causing premultiplication twice.
    
    We can also allow passing NULL for a color, and use a fully opaque
    white, to make the code slightly more friendly.

 clutter/clutter-paint-nodes.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit 0c391382008158f3578698fb597edf6e10d90124
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 10 13:31:28 2013 +0100

    Add 1.18 version macros
    
    We're still going to do a 1.x release cycle.

 clutter/clutter-macros.h     | 14 ++++++++++++++
 clutter/clutter-version.h.in | 12 +++++++++++-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit 32ccff85254f731cef6dab88d302eb3dcba93887
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 10 13:31:50 2013 +0100

    image: Do not premultiply the blend color
    
    ClutterTextureNode will do that for us when converting the ClutterColor
    to a CoglColor, so we can simply pass a white color with the correct
    alpha channel.

 clutter/clutter-image.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit c87b794739d93df6547cf40aba93b2efbf70c22f
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed Oct 9 18:35:59 2013 +0100

    stage: implement touch event throttling
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709761

 clutter/clutter-stage.c | 38 +++++++++++++++++++++++++-------------
 1 file changed, 25 insertions(+), 13 deletions(-)

commit 1546e48e04002560ede5589578891d6b287a9c35
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Tue Oct 8 23:34:19 2013 +0200

    Updated slovak translation

 po/sk.po | 613 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 322 insertions(+), 291 deletions(-)

commit 676a7cdc946887ed745606be21bc3ead14079339
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 8 11:40:23 2013 +0200

    ClutterEvent: Mention _get_source_device() in docs
    
    It's too easy getting bitten by the ->device red herring, thinking
    that it's the original input device the event originated from.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709620

 clutter/clutter-event.c |  2 ++
 clutter/clutter-event.h | 18 ++++++++++++------
 2 files changed, 14 insertions(+), 6 deletions(-)

commit d7814cf63eab1cf95625b06face9f914133d7eaa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 27 15:00:57 2013 +0200

    actor: Correct setting the offscreen-redirect property
    
    It's a flags property, not an enum one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708922

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3435d017e27755353123ca8f65bfe3c051102b48
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Oct 4 21:41:46 2013 +0200

    table-layout: Base space calculations on visible children
    
    This is what we already do in the actual size requests, it makes
    sense to do the same in the space calculations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709434

 clutter/clutter-table-layout.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 44b1a808c8a74fd3b97367f4819fabcc46a1eb23
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Oct 4 21:32:30 2013 +0200

    table-layout: Fix size request when there are no visible rows/cols
    
    The calculation (n - 1) * spacing to compute the total spacing is
    only correct for n >= 1 - if there are no visible rows/cols, the
    required spacing is 0 rather than negative.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709434

 clutter/clutter-table-layout.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 067fcc3690b0a354bf0a7b0692aab47fb68a0817
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Thu Sep 26 16:49:45 2013 +0100

    drag-action: fix warning when setting drag-handle to null
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708850

 clutter/clutter-drag-action.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit e87c470220582b5aec63d83dea9c34447a577f7a
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Thu Sep 26 00:18:38 2013 +0200

    Initial Hungarian translation

 po/hu.po | 2798 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2798 insertions(+)

commit 18f71891cef9212a79e80f34f83fde47130360a0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 24 00:56:40 2013 +0100

    Post-release version bump to 1.16.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
